#!/bin/bash

function my_exit {
	kill `pgrep -f fill-sub.sh`
	exit
}

THREADS=5

total=$(find /usr/lib -name '*.so'|wc -l)
	
q=$(echo $total/$THREADS|bc)
	
echo; echo -n ">>>>>>> Заполнение файлами"

trap "my_exit" 2
for i in `seq 1 $THREADS`; do
	find /usr/lib -name '*.so'|sort|tail -n $(echo $q*$THREADS-$q*$i+$q|bc)|head -n $q|./fill-sub.sh &
done
	
echo; echo -n ">>>>>>> Ждём завершения процессов заполнения"
while [[ `pgrep -f fill-sub.sh` ]]; do
	sleep 10
	echo -n .
done
