#!/bin/bash

function my_exit {
	kill `pgrep -f read-sub.sh`
	exit
}

THREADS=5

total=$(find /mnt/fs-test -name '*.so'|wc -l)
	
q=$(echo $total/$THREADS|bc)
	
echo; echo -n ">>>>>>> Случайное чтение всех файлов"

trap "my_exit" 2
for i in `seq 1 $THREADS`; do
	find /mnt/fs-test -name '*.so'|sort|tail -n $(echo $q*$THREADS-$q*$i+$q|bc)|head -n $q|sort -r|./read-sub.sh &
done
	
echo; echo -n ">>>>>>> Ждём завершения процессов чтения"
while [[ `pgrep -f read-sub.sh` ]]; do
	sleep 10
	echo -n .
done
